TIMEOUT(1)

NOMBRE
timeout - ejecuta una orden con un límite temporal

SINOPSIS
timeout [OPCIÓN] DURACIÓN ORDEN [ARG]...
timeout [OPCIÓN]

DESCRIPCIÓN

Ejecuta una ORDEN y la finaliza si prosigue su ejecución después de DURACIÓN.

Los argumentos obligatorios para las opciones largas son también obligatorios para las opciones cortas.

-f, --foreground

    Cuando no se ejecuta timeout directamente desde la línea de órdenes, permite que ORDEN lea desde el TTY y obtenga señales TTY. En este modo, los elementos secundarios de ORDEN no agotarán el tiempo.

-k, --kill-after=DURACIÓN

    También se envía una señal KILL si ORDEN sigue ejecutándose durante este tiempo después de enviar la señal inicial.

-p, --preserve-status

    Sale con el mismo estado que ORDEN, incluso cuando ésta agota el tiempo de espera.

-s, --signal=SEÑAL

    Define la señal que se enviará al agotar el tiempo de espera. SIGNAL puede ser un nombre como 'HUP' o un número; consulte 'kill -l' para obtener una lista de señales.

-v, --verbose
    envía a la salida de error estándar cualquier señal enviada transcurrido el tiempo de ejecución

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

DURACIÓN es un número decimal con un sufijo opcional: 's' para los segundos (por defecto), 'm' para los minutos, 'h' para las horas y 'd' para los días. Una duración de 0 anula la acción de timeout.

Envía la señal TERM a la ORDEN durante el tiempo de espero si no se define otra señal. Esta señal termina cualquier proceso que no la bloquee. Si no responde a esta señal, se deberá emplear KILL.

  Estado de salida:

124 Si se agota el tiempo de espera de ORDEN y no se ha definido --preserve-status

125 si falla la propia orden timeout

126 si se encuentra ORDEN pero no puede ejecutarse

127 si no se encuentra orden

137 si se envía la señal KILL (9) (128+9) a la ORDEN o directamente a timeout

-   estado de salida de ORDEN en cualquier otro caso

ERRORES
En algunos sistemas, no es posible indicar tiempos de ejecución más allá del año 2038.

AUTOR
Escrito por Padraig Brady.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
kill(1)

Full documentation <https://www.gnu.org/software/coreutils/timeout>
también disponible localmente ejecutando: info '(coreutils) timeout invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.